package com.hfkj.sysenum;

import java.util.Objects;

/**
 * @className: MealTableStatusEnum
 * @author: HuRui
 * @date: 2023/11/29
 **/
public enum MealTableStatusEnum {

    status0(0, "不可用"),
    status1(1, "未开台"),
    status2(2, "已开台"),
    ;

    private Integer number;

    private String name;

    MealTableStatusEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static MealTableStatusEnum getDataByNumber(Integer number) {
        for (MealTableStatusEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }


    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
